//===================================
// Copyright Yakibomb
//===================================

function VSCONDS_COMPILE_CONDITIONS() {
	foreach ( cond, value in ROOT )
	{
		if (typeof(value) == "class" && startswith(cond, "VS_COND_"))
		{
			if ( cond in ROOT ) delete ROOT[cond];
			VSCOND_COND_NAMES.append(cond);
			local cond_num = VSCOND_COND_NAMES.len() - 1;
			
			ROOT[cond] <- cond_num;
			
			local internalCondsName = "FUNC_" + cond;
			ROOT[internalCondsName] <- { condition = cond_num };
					
		//	ClientPrint(null,3,VSCOND_COND_NAMES[cond_num].tostring() + " | " + cond_num )
			
			local base_function = VSConds_Base["Think"];
			
			foreach ( func, functype in value )
			{
				if ( func == "condition" ) continue
				
				if ( func == "Think" ) {
					if ( functype != base_function ) {
						ROOT[internalCondsName]["use_think_script"] <- true;
					}
					else 
						ROOT[internalCondsName]["use_think_script"] <- false;
				}
				
				ROOT[internalCondsName][func] <- functype;
			}
		}
	}
}