/*===================================
		Copyright Yakibomb
*///=================================

// Only boots main code once
if ( !( "VSConds_FirstBootComplete" in getroottable() ) ) {
	printl("AddVSCond Executing for the first time");
	::VSConds_FirstBootComplete <- false;
	
	::worldspawn <- Entities.First();
	::ROOT <- getroottable();
	
	IncludeScript("addvscond/code/vsconds_settings.nut");
	IncludeScript("addvscond/code/vsconds_util.nut", ROOT);
	IncludeScript("addvscond/code/vsconds_main.nut", ROOT);
	
	IncludeScript("addvscond/code/compiler/vsconds_conditions_base.nut", ROOT)
	IncludeScript("addvscond/code/compiler/vsconds_conditions_compiler.nut", ROOT);
	IncludeScript("addvscond/code/compiler/vsconds_various_steps.nut", ROOT);
	IncludeScript("addvscond/code/compiler/vsconds_cleanup.nut", ROOT);
	
	::VSCONDS_COMPILE <- function() {
		IncludeScript("addvscond/compiler.nut", ROOT);
	}
	
	VSCONDS_COMPILE()
	
	::VSConds_FirstBootComplete <- true;
}
else {
// Runs this after first boot already happened
	VSCONDS_COMPILE()
};